Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlGroovyScriptTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlGroovyScriptTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

    public class WsdlGroovyScriptTestStep

extends WsdlTestStep

TestStep that executes an arbitraty Groovy script

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY, LABEL_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlGroovyScriptTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`

Method Summary
`org.apache.log4j.Logger` | `getLogger()`
`java.lang.String` | `getScript()`
`void` | `release()`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner testRunner, TestRunContext context)`
`void` | `setScript(java.lang.String scriptText)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, cancel, clone, createPanelBuilder, deleteProperty, dependsOn, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getLabel, getProperty, getPropertyNames, getPropertyValue, getRequiredInterfaces, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, postInit, prepare, propertyRenamed, removeTestStepListener, setDisabled, setName, setPropertyValue`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, setConfig, setDescription, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlGroovyScriptTestStep

    public WsdlGroovyScriptTestStep(WsdlTestCase testCase,
                                    com.eviware.soapui.config.TestStepConfig config,
                                    boolean forLoadTest)

Method Detail

### getLogger

    public org.apache.log4j.Logger getLogger()

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### run

    public TestStepResult run(TestRunner testRunner,
                              TestRunContext context)

### getScript

    public java.lang.String getScript()

### setScript

    public void setScript(java.lang.String scriptText)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.